Bug 104321 - llseek dangerous message appears during build process
llseek dangerous message appears during build process
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: util-linux (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 10:50 EDT by Michael Lee Yohe
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2003-09-12 10:50:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030722
Galeon/1.3.8

Description of problem:
When building the util-linux package, the warning message appears:

+ cd rescuept
+ cc -O2 -g -pipe -march=i686 -o rescuept rescuept.c
/tmp/cc5oZ991.o(.text+0x35): In function `read_sectors':
/usr/src/redhat/BUILD/util-linux-2.11y/rescuept/rescuept.c:59: the `llseek'
function may be dangerous; use `lseek64' instead.
+ cd ..

I'm not sure if there is a potential vulnerability in the rescuept
program/library as a result, but it may want to be looked at.

Version-Release number of selected component (if applicable):
util-linux-2.11y-29

How reproducible:
Always

Steps to Reproduce:
1. see description
2.
3.
    

Actual Results:  You see the warning in the build process above.

Expected Results:  No warning message saying that a particular function being
used is considered dangerous.

Additional info:
Comment 1 Elliot Lee 2003-10-24 13:41:53 EDT
Note the use of the word "may" in the warning message. Really doesn't matter...
If you have a chance, a patch would be great.
Comment 2 Elliot Lee 2004-08-20 15:24:00 EDT
Patched to just use plain lseek and compile with _FILE_OFFSET_BITS=64

Note You need to log in before you can comment on or make changes to this bug.